

"use strict"
//====================================================================Практичне завдання 1


//Задаю необхідні змінні
let a, b, max, min;

//Створюб цикл з форм для задання обох чисел
while(1) {

//Питаю перше число

    a = parseInt(prompt("Введіть перше число: "))

//Перевіряю чи є воночислом

    if (isNaN(a)) {

//Якщо введено не числове значення, тоді виводжу повідомлення про це

        alert("Невірно! Спробуйте знову");
        
//і повертаю до введення числа

        continue;
    }

//Те саме що із першим числом

    b = parseInt(prompt("Введіть друге число: "))

    if (isNaN(b)) {
        alert("Невірно! Спробуйте знову");
        continue;
    }
    break;
}


console.log(`Маємо ${a} та ${b}`)


//Виділяю найбільше число і найменше

if (a>b) {
    max = a;
    min = b;
}
else {
    max = b;
    min = a;
}
console.log(`З яких найменше ${min}, а найбільше ${max}.`)

//Запускаю цикл що перераховує вслі цілі числа від найменшого до найбільшого доки не досягне найбільшого
for (;min<=max;min++) {

    console.log(min)

}




//=======================================================================Практичне завдання 2



for(let a; a % 2 != 0; a = prompt('Введіть парне чилсо: ')) {
    
}



